<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/detail_root"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical" >

    <!-- 标签和横线布局 -->

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_60dp"
        android:layout_marginTop="@dimen/d_86dp"
        android:orientation="vertical" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal" >
            <!-- 资产名称和豆瓣评分等布局 -->
			<com.wasu.cs.ui.DetailResTitle
                android:id="@+id/detail_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />
			<!-- 标签布局 -->
            <com.wasu.cs.ui.DetailIndicatorLinearlayout
                android:id="@+id/detail_indicator"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="right|bottom"
                android:layout_marginRight="@dimen/d_122dp"
                android:gravity="right|bottom"
                android:orientation="horizontal" />
        </LinearLayout> 
        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_1dp"
            android:layout_marginRight="@dimen/d_60dp"
            android:layout_marginTop="@dimen/d_9dp"
            android:background="#48ffffff" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginLeft="@dimen/d_60dp"
        android:contentDescription="详情信息显示"
        android:orientation="horizontal" >

        <!-- 播放器 -->

        <LinearLayout
            android:layout_width="@dimen/d_467dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/d_56dp"
            android:orientation="vertical" >

            <RelativeLayout
                android:id="@+id/detail_player"
                android:layout_width="@dimen/d_467dp"
                android:layout_height="@dimen/d_284dp"
                android:background="@drawable/children_detail_player_bg"
                android:descendantFocusability="blocksDescendants"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:measureAllChildren="false"
                android:nextFocusUp="@id/detail_player"
                android:padding="@dimen/d_4dp" >

                <!--<ImageView
                    android:id="@+id/player_image"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/detail_player_background"
                    android:visibility="gone" />

                <ImageView
                    android:id="@+id/detail_player_icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:layout_gravity="center"
                    android:background="@drawable/icon_play"
                    android:scaleType="fitXY"
                    android:visibility="gone"/>-->
            </RelativeLayout>

            <TextView
                android:id="@+id/detail_coupon"
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_30dp"
                android:layout_marginTop="@dimen/d_9dp"
                android:text="本片支持观影券观看"
                android:textSize="@dimen/s_22sp"
                android:visibility="gone" />
<!-- android:scrollbarThumbVertical="@color/yellow"
                android:scrollbarSize="@dimen/d_1dp" -->
            <ScrollView
                android:id="@+id/detail_description_scroll"
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_135dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:nextFocusUp="@id/detail_player"
                android:scrollbars="none" >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical" >

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_4dp"
                        android:orientation="horizontal" >

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:focusable="false"
                            android:focusableInTouchMode="false"
                            android:text="导演："
                            android:textColor="@color/white"
                            android:textSize="@dimen/s_20sp" />

                        <TextView
                            android:id="@+id/detail_player_director"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:focusable="false"
                            android:focusableInTouchMode="false"
                            android:textColor="@color/white_alpha_05"
                            android:textSize="@dimen/s_20sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_9dp"
                        android:orientation="horizontal" >

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:focusable="false"
                            android:focusableInTouchMode="false"
                            android:text="主演："
                            android:textColor="@color/white"
                            android:textSize="@dimen/s_20sp" />

                        <TextView
                            android:id="@+id/detail_player_actor"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:ellipsize="end"
                            android:focusable="false"
                            android:focusableInTouchMode="false"
                            android:singleLine="true"
                            android:textColor="@color/white_alpha_05"
                            android:textSize="@dimen/s_20sp" />
                    </LinearLayout>

                    <TextView
                        android:id="@+id/detail_player_description"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_9dp"
                        android:focusable="false"
                        android:focusableInTouchMode="false"
                        android:textColor="@color/white_alpha_05"
                        android:background="@drawable/selector_children_detail_description"
                        android:padding="@dimen/d_4dp"
                        android:textSize="@dimen/s_20sp" />
                </LinearLayout>
            </ScrollView>
        </LinearLayout>

        <com.wasu.cs.ui.DetailHorizontalScrollView
            android:id="@+id/detail_scroll"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/d_30dp"
            android:scrollbars="none" >

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="horizontal" >

                <!-- 播放按钮 -->

                <com.wasu.widget.FocusLinearLayout
                    android:id="@+id/detail_playBtnGroup"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_48dp"
                    android:focusable="true"
                    android:focusableInTouchMode="true"
                    android:nextFocusDown="@id/detail_playBtnGroup"
                    android:nextFocusUp="@id/detail_playBtnGroup"
                    android:orientation="vertical" >
<!-- 
                    <ImageView
                        android:id="@+id/detail_play"
                        android:layout_width="@dimen/d_80dp"
                        android:layout_height="@dimen/d_80dp"
                        android:layout_margin="@dimen/d_10dp"
                        android:background="@drawable/selector_detail_play"
                        android:clickable="true"
                        android:focusable="true"
                        android:visibility="gone"
                        android:focusableInTouchMode="true"
                        android:gravity="center"
                        /> -->

                    <ImageView
                        android:id="@+id/detail_favorite"
                        android:layout_width="@dimen/d_148dp"
                        android:layout_height="@dimen/d_50dp"
                        android:layout_margin="@dimen/d_10dp"
                        android:background="@drawable/selector_children_detail_favorite"
                        android:clickable="true"
                        android:contentDescription="收藏"
                        android:focusable="true"
                        android:focusableInTouchMode="true"
                        android:gravity="center" />
                    <LinearLayout
                        android:id="@+id/detail_pay_single"
                        android:layout_width="@dimen/d_148dp"
                        android:layout_height="@dimen/d_50dp"
                        android:layout_margin="@dimen/d_10dp"
                        android:background="@drawable/children_song_tab_button"
                        android:clickable="true"
                        android:focusable="true"
                        android:focusableInTouchMode="true"
                        android:orientation="horizontal"
                        android:gravity="center">
                        <TextView
                            android:id="@+id/detail_pay_price"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:duplicateParentState="true"
                            android:textColor="@color/selector_children_song_button_text"
                            android:gravity="center"
                            android:textStyle="bold"
                            android:paddingBottom="@dimen/d_4dp"
                            android:textSize="@dimen/s_26sp" />
                        <View
                            android:layout_width="@dimen/d_52dp"
                            android:layout_height="@dimen/d_26dp"
                            android:duplicateParentState="true"
                            android:background="@drawable/selector_children_detail_pay_single"/>
                    </LinearLayout>
                    <ImageView
                        android:id="@+id/detail_usercenter"
                        android:layout_width="@dimen/d_148dp"
                        android:layout_height="@dimen/d_50dp"
                        android:layout_margin="@dimen/d_10dp"
                        android:background="@drawable/selector_children_detail_usercenter_sxk"
                        android:clickable="true"
                        android:contentDescription="营业厅"
                        android:focusable="true"
                        android:focusableInTouchMode="true"
                        android:gravity="center" />
                    <ImageView
                        android:id="@+id/detail_pay"
                        android:layout_width="@dimen/d_148dp"
                        android:layout_height="@dimen/d_50dp"
                        android:layout_margin="@dimen/d_10dp"
                        android:background="@drawable/selector_children_detail_pay"
                        android:clickable="true"
                        android:focusable="true"
                        android:visibility="gone"
                        android:focusableInTouchMode="true"
                        android:gravity="center" />



                    <ImageView
                        android:id="@+id/detail_serial"
                        android:layout_width="@dimen/d_148dp"
                        android:layout_height="@dimen/d_50dp"
                        android:layout_margin="@dimen/d_10dp"
                        android:clickable="true"
                        android:focusable="true"
                        android:focusableInTouchMode="true"
                        android:gravity="center"
                        android:src="@drawable/selector_children_detail_preplay" />
                </com.wasu.widget.FocusLinearLayout>

                <!-- 广告 -->

                <RelativeLayout
                    android:id="@+id/detail_ad_parent"
                    android:layout_width="@dimen/d_174dp"
                    android:layout_height="@dimen/d_415dp"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginTop="@dimen/d_56dp"
                    android:background="@drawable/common_bg_shadow_history"
                    android:descendantFocusability="blocksDescendants"
                    android:focusable="false"
                    android:focusableInTouchMode="false"
                    android:nextFocusDown="@id/detail_ad_parent"
                    android:nextFocusLeft="@id/detail_playBtnGroup"
                    android:nextFocusUp="@id/detail_ad_parent" >

                    <!-- 新加一个容器，防止textview的广告标签被刷掉 -->

                    <FrameLayout
                        android:id="@+id/detail_ad"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" >
                    </FrameLayout>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_alignParentTop="true"
                        android:background="@drawable/detail_ad" />
                </RelativeLayout>
                <!-- 推荐内容 -->
                <com.wasu.widgets.focuswidget.FocusRecyclerView
                    android:id="@+id/detail_recommendRrid"
                    android:layout_width="@dimen/d_812dp"
                    android:layout_height="@dimen/d_520dp"
                    android:clickable="false"
                    android:contentDescription="推荐"
                    android:focusable="true"
                    android:focusableInTouchMode="true"
                    android:nextFocusLeft="@id/detail_ad"
                    android:nextFocusUp="@id/detail_recommendRrid"
                    android:numColumns="5"
                    android:layout_marginLeft="@dimen/d_15dp"
                    android:paddingBottom="@dimen/d_44dp"
                    android:paddingLeft="@dimen/d_15dp"
                    android:paddingRight="@dimen/d_40dp"
                    android:paddingTop="@dimen/d_50dp" />



                <View
                    android:layout_width="@dimen/d_50dp"
                    android:layout_height="@dimen/d_520dp"
                    android:background="@color/transparent"
                    />
                <!-- 评论列表 -->

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="@dimen/d_66dp"
                    android:orientation="vertical"
                    android:visibility="gone" >

                    <TextView
                        android:id="@+id/comment_header_arrow"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:background="@drawable/arrow_top_big_one" />

                    <ListView
                        android:id="@+id/detail_commentlist"
                        android:layout_width="@dimen/d_300dp"
                        android:layout_height="@dimen/d_400dp"
                        android:layout_marginBottom="@dimen/d_10dp"
                        android:layout_marginTop="@dimen/d_10dp"
                        android:divider="@color/transparent"
                        android:dividerHeight="@dimen/d_20dp"
                        android:listSelector="@drawable/common_bg_shadow_history"
                        android:nextFocusDown="@id/detail_commentlist"
                        android:nextFocusUp="@id/detail_commentlist"
                        android:scrollbars="none"
                        android:scrollingCache="false" />

                    <TextView
                        android:id="@+id/comment_footer_arrow"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:background="@drawable/detail_down_arrow" />
                </LinearLayout>
                <!-- 剧照 -->

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="@dimen/d_50dp"
                    android:layout_marginRight="@dimen/d_250dp"
                    android:orientation="vertical"
                    android:visibility="gone" >

                    <TextView
                        android:id="@+id/pics_header_arrow"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:background="@drawable/arrow_top_big_one" />

                    <ListView
                        android:id="@+id/detail_pics"
                        android:layout_width="@dimen/d_100dp"
                        android:layout_height="@dimen/d_410dp"
                        android:divider="@color/transparent"
                        android:dividerHeight="@dimen/d_5dp"
                        android:focusable="true"
                        android:focusableInTouchMode="true"
                        android:listSelector="@drawable/common_bg_shadow_history"
                        android:nextFocusDown="@id/detail_pics"
                        android:nextFocusLeft="@id/detail_commentlist"
                        android:nextFocusUp="@id/detail_pics"
                        android:scrollbars="none" />

                    <TextView
                        android:id="@+id/pics_footer_arrow"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:background="@drawable/detail_down_arrow" />
                </LinearLayout>
            </LinearLayout>
        </com.wasu.cs.ui.DetailHorizontalScrollView>
    </LinearLayout>

</LinearLayout>